<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">

    <div id="serwersms">
        <div class="page-header">
            <div class="container-fluid">

				<div class="logo">
					<img src="view/image/serwersms_logo.png" alt="" />
				</div>

                <h1><?php echo $heading_title_status; ?></h1>
                <ul class="breadcrumb">
                    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                    <?php } ?>
                </ul>
            </div>
        </div>
		
		<?php if(isset($status['user'])): ?>
			<div class="container-fluid">
				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $text_list_status_user; ?></h3>
					</div>
					<div class="panel-body">
						<div class="col-sm-3">
							<?php if(isset($status['user']['foto'])) echo '<img src="'.$status['user']['foto'].'" alt="" />'; ?>
						</div>
						<div class="col-sm-6">
							<span class="name">
								<?php if(isset($status['user']['name'])) echo '<strong>'.$status['user']['name'].'</strong><br/>'; ?>
							</span>
							<span class="phone">
								<?php if(isset($status['user']['phone'])) {
									$explode = explode('wew',$status['user']['phone']);
									$phone = '';
									if(isset($explode[0]))
										$phone = $explode[0];
									echo '<a href="tel:'.$phone.'">'.$status['user']['phone'].'</a><br/>'; 
								}
								?>
							</span>
							<span class="mail">
								<?php if(isset($status['user']['email'])) echo '<a href="mailto:'.$status['user']['email'].'">'.$status['user']['email'].'</a>'; ?>
							</span>
						</div>	
					</div>
				</div>
			</div>
		<?php endif; ?>
			
		<div class="container-fluid">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $text_list_status; ?></h3>
                </div>
				<div class="panel-body">
                    <dl>
                        <dt>
                        <dt>
                        SMS ECO:
                        </dt>
                        <dd>
                            <?php if(isset($count_sms['ECO'])) echo $count_sms['ECO']; else echo 0; ?> szt
                        </dd>
                        <dt>
                        SMS FULL:
                        </dt>
                        <dd>
                            <?php if(isset($count_sms['FULL'])) echo $count_sms['FULL']; else echo 0; ?> szt
                        </dd>
                        <dt>
                        TYP KONTA:
                        </dt>
                        <dd>
                            <?php if(isset($count_sms['KONTO'])) echo $count_sms['KONTO']; else echo 'brak danych'; ?>
                        </dd>
					</dl>
				</div>
			</div>
		</div>
						
		<div class="container-fluid">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $text_list_status_other; ?></h3>
                </div>
				<div class="panel-body">		
						
					<dl>
                        <dt>
							TELEFON KONTAKTOWY:
                        </dt>
                        <dd>
							<?php if(isset($status['phone'])) echo $status['phone']; ?>,
							<?php if(isset($status['info'])) echo $status['info']; ?>
                        </dd>
                        <dt>
							E-MAIL:
                        </dt>
                        <dd>
							<?php if(isset($status['email'])) echo '<a href="mailto:'.$status['email'].'">'.$status['email'].'</a>'; ?>
                        </dd>
                        <dt>
							FAQ:
                        </dt>
                        <dd>
							<?php if(isset($status['faq'])) echo '<a href="'.$status['faq'].'">'.$status['faq'].'</a>'; ?>
                        </dd>
                        <dt>
							Adres URL do aktualizacji raportów doręczeń:
                        </dt>
                        <dd>
                            <?php if(isset($serwersms_url_raport)) echo $serwersms_url_raport; ?>
                        </dd>
                        <dt>
							Adres URL do odbioru odpowiedzi na SMS:
                        </dt>
                        <dd>
                            <?php if(isset($serwersms_url_answer)) echo $serwersms_url_answer; ?>
                        </dd>
                    </dl>
                </div>
            </div>
        </div>
    </div>

</div>
<?php echo $footer; ?> 