<?php

/*
  Author: SerwerSMS.pl
  Date: 2015-06
  Version: 1.0

 */

class ModelSerwersmsMessage extends Model {

    public $table = 'serwersms_messages';

    public function update($data = array()) {

        if (!is_array($data) || empty($data))
            return false;

        if (empty($data['smsid']))
            return false;

        $fields = array('reason','date', 'from');
        foreach ($fields as $field) {
            if (!isset($data[$field]))
                $data[$field] = '';
        }

        foreach ($data as $key => $value)
            $data[$key] = $this->db->escape($value);

        $sql = "SELECT * FROM " . DB_PREFIX . $this->table . " WHERE smsid = '" . $data['smsid'] . "' LIMIT 1";
        $result = $this->db->query($sql);

        if (!isset($result->num_rows) || $result->num_rows == 0)
            return false;

        if (!isset($result->row) || empty($result->row) || !is_array($result->row))
            return false;

        $row = $result->row;

        if (in_array($row['status'], array('Doręczono', 'Niedoręczono')))
            return true;
			
		if($data['date']=='')
			$data['date'] = $row['report'];

        $sql = "UPDATE " . DB_PREFIX . $this->table . " SET status = '" . $data['status'] . "', report = '" . $data['date'] . "', reason = '" . $data['reason'] . "', froms = '" . $data['from'] . "' WHERE id = " . $row['id'];
        $result = $this->db->query($sql);
        if ($result)
            return true;

        return false;
    }

    public function save($data = array()) {

        if (!is_array($data) || empty($data))
            return false;

        if (!isset($data['smsid']) || !isset($data['number']) || !isset($data['date']) || !isset($data['message']))
            return false;

        $fields = array('status', 'sender_id', 'report');
        foreach ($fields as $field) {
            if (!isset($data[$field]))
                $data[$field] = null;
        }

        $tmp = array();
        foreach ($data as $key => $value)
            $tmp[$key] = $this->db->escape($value);

        $data = $tmp;
        $data['created'] = date('Y-m-d H:i:s');

        $sql = "INSERT INTO " . DB_PREFIX . $this->table . " SET test = '" . $data['test'] . "', smsid = '" . $data['smsid'] . "', number = '" . $data['number'] . "', sender_id = '" . $data['sender'] . "', type = '" . $data['type'] . "', status = '" . $data['status'] . "', report = '" . $data['date'] . "', text = '" . $data['message'] . "', reason = '" . $data['reason'] . "', created = '" . $data['created'] . "'";
        if ($this->db->query($sql)) {
            return $this->db->getLastId();
        }

        return false;
    }

}

?>