var SerwerSMS = {

	init: function() {
	
		SerwerSMS.sendSmsSetRecipient();
		SerwerSMS.sendSmsSetRecipientChange();
		
		$('a.confirm').on('click', function(e){
			e.preventDefault();
			var el = $(this); 
			$('#confirm').modal({ backdrop: 'static', keyboard: false }).one('click', '#yes', function() {
					window.location = el.attr('href');
				});
			return false;
		});
	},

	sendSmsSetRecipient: function() {
	
		var form = $('#form-send-sms');
		if(form.length>0) {
			var form_type = $('#input-type');
			var type = form_type.find('option:selected').val();
			SerwerSMS.sendSmsSetRecipientElement(type);
		}
	
	},
	
	sendSmsSetRecipientChange: function() {
	
		var form = $('#form-send-sms');
		if(form.length>0) {
			var form_type = $('#input-type');
			var type = '';
			form_type.change(function() {
				type = form_type.find('option:selected').val();
				SerwerSMS.sendSmsSetRecipientElement(type);
			});
		}
	
	},
	
	sendSmsSetRecipientElement: function(type) {
	
		var form_client = $('#form-input-client');
		var form_phone = $('#form-input-phone');
		
		switch(type) {
			case '0':
				form_client.hide();
				form_phone.hide();
				break;
			case '1':
				form_client.show();
				form_phone.hide();
				break;
			case '2':
				form_client.hide();
				form_phone.show();
				break;
		}
	
	}
};

$(document).ready(function() {
	
	SerwerSMS.init();
	
});
