<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">

    <div id="serwersms">

        <div class="page-header">
            <div class="container-fluid">

				<div class="logo">
					<img src="view/image/serwersms_logo.png" alt="" />
				</div>

                <h1><?php echo $heading_title_send; ?></h1>
                <ul class="breadcrumb">
                    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                    <?php } ?>
                </ul>
            </div>
        </div>

        <?php if ($error_warning) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>

        <?php if ($message_warning) { ?>
        <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $message_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>

        <div class="container-fluid">

            <form role="form" data-toggle="validator" action="<?php echo $form_action; ?>" method="post" enctype="multipart/form-data" id="form-send-sms" class="form-horizontal">

                <?php if(isset($serwersms_logged) && $serwersms_logged==1): ?>

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_list_send; ?></h3>
                    </div>

                    <div class="panel-body">

                        <div class="form-group">  
                            <label class="col-sm-2 control-label" for="input-sender"><?php echo $entry_sender; ?></label>
                            <div class="col-sm-10">
                                <select name="serwersms_sender" id="input-sender" class="form-control">
                                    <option value="" selected="selected">Losowy numer (ECO)</option>
                                    <?php if(isset($senders) && !empty($senders)): ?>
                                    <?php foreach($senders as $s): ?>
                                    <?php if($s['status']=='Autoryzowano'): ?>
                                    <option <?php if(isset($sender) && $sender==$s['name']) echo 'selected="selected"'; ?> value="<?php echo $s['name']; ?>"><?php echo $s['name']; ?></option>
                                    <?php endif; ?>
                                    <?php endforeach; ?>
                                    <?php endif; ?>
                                </select>
                                <p>
                                    <br/>Jeśli pole ustawione jest na wartość (Losowy numer), wiadomość zostanie wysłana jako SMS ECO 
                                </p>
                            </div>
                        </div>

                        <div class="form-group">  
                            <label class="col-sm-2 control-label" for="input-type"><?php echo $entry_type; ?></label>
                            <div class="col-sm-10">
                                <select name="serwersms_type" id="input-type" class="form-control">
                                    <?php if(isset($types) && !empty($types)): ?>
                                    <?php foreach($types as $k => $v): ?>
                                    <option value="<?php echo $k; ?>"><?php echo $v; ?></option>
                                    <?php endforeach; ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                        </div>

                        <div class="form-group" id="form-input-client">            
                            <label class="col-sm-2 control-label" for="input-client"><?php echo $entry_client; ?></label>
                            <div class="col-sm-10">
                                <select required name="serwersms_client" id="input-client" class="form-control">
                                    <?php if(isset($customers) && !empty($customers)): ?>
                                    <?php foreach($customers as $customer): ?>
                                    <option value="<?php echo $customer['telephone']; ?>"><?php echo $customer['firstname'].' '.$customer['lastname']; ?></option>
                                    <?php endforeach; ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                        </div>

                        <div class="form-group" id="form-input-phone">            
                            <label class="col-sm-2 control-label" for="input-phone"><?php echo $entry_phone; ?></label>
                            <div class="col-sm-10">
                                <input required type="text" name="serwersms_phone" value="" placeholder="<?php echo $entry_phone; ?>" id="input-phone" class="form-control" />
                                <p>
                                    <br/>Numer telefonu odbiorcy. Można podać kilka numerów oddzielonych przecinkiem ",". 
                                </p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 text-right help-block" for="input-text"><?php echo $entry_mesaage_text_label; ?></label>
                            <div class="col-sm-10">
                                <textarea required name="serwersms_text" id="input-text" class="form-control"></textarea>
                            </div>
                        </div>

                    </div>
                </div>

                <?php endif; ?>

                <div class="pull-right">
                    <button type="submit" form="form-html" data-toggle="tooltip" title="<?php echo $button_send; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                </div>

                

            </form>

        </div>
    </div>
</div>
<?php echo $footer; ?>