<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">

    <div id="serwersms">

        <div class="page-header">
            <div class="container-fluid">

				<div class="logo">
					<img src="view/image/serwersms_logo.png" alt="" />
				</div>
				
                <h1><?php echo $heading_title_sender; ?></h1>
                <ul class="breadcrumb">
                    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                    <?php } ?>
                </ul>
            </div>
        </div>

        <?php if ($error_warning) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>

        <div class="container-fluid">

            <form role="form" data-toggle="validator" action="<?php echo $form_action; ?>" method="post" enctype="multipart/form-data" id="form-sender-add" class="form-horizontal">

                <?php if(isset($serwersms_logged) && $serwersms_logged==1): ?>

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_list_sender; ?></h3>
                    </div>

                    <div class="panel-body">

                        <div class="form-group">            
                            <label class="col-sm-2 control-label" for="input-phone"><?php echo $entry_name; ?></label>
                            <div class="col-sm-10">
                                <input required type="text" name="serwersms_name" value="" placeholder="<?php echo $entry_name; ?>" id="input-name" class="form-control" />
                                <p>
                                    <br/>Możliwości i ograniczenia:.<br/>
								</p>
								<ul>
                                    <li>Nazwa nie może być numerem 9-cio cyfrowym (np. 500600700).</li>
                                    <li>Nazwa nie może być numerem skróconym (np. 71200).</li>
                                    <li>Nazwa może zawierać maksymalnie 11 znaków z zakresu a-z, A-Z, 0-9 oraz dodatkowo znaki specjalne jak: spacja, kropka, myślnik</li>
                                    <li>Nazwa nie może zawierać 4 lub więcej cyfr w ciągu (np. Test2011).</li>
                                    <li>Zabronione jest dodawanie nazw które mogą wprowadzać w błąd, np. POLICJA. Nazwy takie będą odrzucane.</li>
                                    <li>W przypadku dodania nazwy która jednoznacznie określa markę lub produkt, konieczne będzie przesłanie zgody na posługiwanie są taką nazwą.</li>
                                </ul>
                            </div>
                        </div>

                    </div>
                </div>

                <?php endif; ?>

                <div class="pull-right">
                    <button type="submit" form="form-html" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                    <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
                </div>

                <script  type="text/javascript">
                    $('#form-sender-add').validator();
                </script>

            </form>

        </div>
    </div>
</div>
<?php echo $footer; ?>