<?php

/*
  Author: SerwerSMS.pl
  Date: 2015-06
  Version: 1.0

 */
 
define( 'DS', DIRECTORY_SEPARATOR);
define( 'ABSPATH', dirname(__FILE__) . DS );

$modules = array();
$modules[] = ABSPATH . 'serwersms.php';
foreach($modules as $module) {
	if(!@include($module)) {
		echo 'File '.$module.' not exist';
		exit();
	}
}

class ControllerSerwersmsAnswer extends ControllerSerwersms {

    public function index() {

        $data = array();
        $fields = array('smsid', 'message', 'date', 'number');
        foreach ($fields as $field) {
            if (isset($this->request->get[$field]))
                $data[$field] = $this->request->get[$field];
        }

        $this->load->model('serwersms/answer');

        if (!empty($data)) {
            if ($this->model_serwersms_answer->save($data))
                $this->plain('OK');
        }

        $this->plain('ERR');
    }

}