<?php

/*
  Author: SerwerSMS.pl
  Date: 2015-06
  Version: 1.0

 */

class ModelSerwersmsAnswer extends Model {

    public $table = 'serwersms_answers';

    public function save($data = array()) {

        $fields = array('smsid', 'message', 'date', 'number');
        foreach ($fields as $field) {
            if (!isset($data[$field]))
                $data[$field] = '';
        }

        if (!$this->validate($data))
            return false;

        foreach ($data as $key => $value)
            $data[$key] = $this->db->escape($value);

        $data['created'] = date('Y-m-d H:i:s');
        $sql = "INSERT INTO " . DB_PREFIX . $this->table . " SET smsid = '" . $data['smsid'] . "', number = '" . $data['number'] . "', message = '" . $data['message'] . "', date = '" . $data['date'] . "', created = '" . $data['created'] . "'";

        if ($this->db->query($sql)) {
            return $this->db->getLastId();
        }

        return false;
    }

    private function validate($data) {

        if (empty($data['smsid']) || empty($data['message']))
            return false;

        return true;
    }

}

?>